---
title: "ListReceivedInvitations"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.ezghcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: EZGH Cloud organizations and IAM › receivedInvitations

`GET /v1/invitations`

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`
- `sessionCookie`, apiKey, in cookie
- `oauth`, http, header `Authorization`

## Query parameters

- `ListReceivedInvitations.query.limit` (string, optional)
  - pattern `^[+-]?\d*\.?\d+(?:[Ee][+-]?\d+)?$`
- `ListReceivedInvitations.query.cursor` (string, optional)

## Code samples

### cURL

```curl
curl --request GET \
  --url https://orgs.ezghcloud.com/v1/invitations \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://orgs.ezghcloud.com/v1/invitations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://orgs.ezghcloud.com/v1/invitations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Success

#### Example

```json
{
  "invitations": [
    {
      "id": "string",
      "organization": {
        "id": "string",
        "name": "string",
        "slug": "string"
      },
      "email": "string",
      "invitedByEmail": "string",
      "status": "pending",
      "url": "string",
      "createdAt": "string",
      "expiresAt": "string",
      "respondedAt": "string"
    }
  ],
  "nextCursor": "string"
}
```

- `ListReceivedInvitations.response.200.invitations` (array<object>, required)
  - `ListReceivedInvitations.response.200.invitations.id` (string, required)
  - `ListReceivedInvitations.response.200.invitations.organization` (object, required)
    - `ListReceivedInvitations.response.200.invitations.organization.id` (string, required)
    - `ListReceivedInvitations.response.200.invitations.organization.name` (string, required)
    - `ListReceivedInvitations.response.200.invitations.organization.slug` (string, required)
  - `ListReceivedInvitations.response.200.invitations.email` (string, required)
  - `ListReceivedInvitations.response.200.invitations.invitedByEmail` (any of, required)
    - any of: `string`, `null`
  - `ListReceivedInvitations.response.200.invitations.status` (string, required)
    - one of `"pending"`, `"accepted"`, `"declined"`, `"revoked"`, `"expired"`
  - `ListReceivedInvitations.response.200.invitations.url` (string, required)
  - `ListReceivedInvitations.response.200.invitations.createdAt` (string, required)
  - `ListReceivedInvitations.response.200.invitations.expiresAt` (string, required)
  - `ListReceivedInvitations.response.200.invitations.respondedAt` (any of, required)
    - any of: `string`, `null`
- `ListReceivedInvitations.response.200.nextCursor` (any of, required)
  - any of: `string`, `null`

### 400

InvalidCursor | InvalidRequest

#### Example

```json
{
  "error": {
    "code": "invalid_cursor",
    "message": "string"
  }
}
```

Any of:

- [InvalidCursorEncoded](/orgs-api/schemas/InvalidCursorEncoded/)
- [InvalidRequestEncoded](/orgs-api/schemas/InvalidRequestEncoded/)

### 401

Unauthenticated

#### Example

```json
{
  "error": {
    "code": "unauthenticated",
    "message": "string"
  }
}
```

- `ListReceivedInvitations.response.401.error` (object, required)
  - `ListReceivedInvitations.response.401.error.code` (string, required)
    - one of `"unauthenticated"`
  - `ListReceivedInvitations.response.401.error.message` (string, required)

### 403

Forbidden | EmailNotVerified | AccessDenied | ForbiddenOrigin

#### Example

```json
{
  "error": {
    "code": "forbidden",
    "message": "string"
  }
}
```

Any of:

- [ForbiddenEncoded](/orgs-api/schemas/ForbiddenEncoded/)
- [EmailNotVerifiedEncoded](/orgs-api/schemas/EmailNotVerifiedEncoded/)
- [AccessDeniedEncoded](/orgs-api/schemas/AccessDeniedEncoded/)
- [ForbiddenOriginEncoded](/orgs-api/schemas/ForbiddenOriginEncoded/)

### 429

TooManyRequests

#### Example

```json
{
  "error": {
    "code": "too_many_requests",
    "message": "string"
  }
}
```

- `ListReceivedInvitations.response.429.error` (object, required)
  - `ListReceivedInvitations.response.429.error.code` (string, required)
    - one of `"too_many_requests"`
  - `ListReceivedInvitations.response.429.error.message` (string, required)

### 500

InternalError

#### Example

```json
{
  "error": {
    "code": "internal_error",
    "message": "string"
  }
}
```

- `ListReceivedInvitations.response.500.error` (object, required)
  - `ListReceivedInvitations.response.500.error.code` (string, required)
    - one of `"internal_error"`
  - `ListReceivedInvitations.response.500.error.message` (string, required)

### 503

Unavailable

#### Example

```json
{
  "error": {
    "code": "unavailable",
    "message": "string"
  }
}
```

- `ListReceivedInvitations.response.503.error` (object, required)
  - `ListReceivedInvitations.response.503.error.code` (string, required)
    - one of `"unavailable"`
  - `ListReceivedInvitations.response.503.error.message` (string, required)


Source: https://docs.ezghcloud.com/orgs-api/receivedInvitations/ListReceivedInvitations/index.md
